#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main()
{
    ll n;
    cin>>n;
    vector<ll> a(n);
    vector<ll> b(n);
    for(int i=0; i<n; i++){
        if((i%2)==0){
            a[i]=n-i/2;
            b[i]=2*n-2-i/2;
        }
        else{
            a[i]=2*n-i/2;
            b[i]=(n-i)/2;
        }

    }
    for(auto x:a){
        cout<<x<<" ";
    }
    cout<<endl;
    for(auto x:b){
        cout<<x<<" ";
    }
    cout<<endl;
    return 0;
}